# -*- coding: utf-8 -*-
## Copyright (C)2007 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: test_add_file.py 5781 2007-01-21 17:55:37Z roeder $
import unittest
from funittest import logical
from funittest import dataprovider
from funittest import precondition
from funittest import interpreter
from funittest import TestCase

import os

class TestAddWiki(TestCase):

    def test_add_wiki(self):
        """Add a ZWikiFolder"""

        interpreter.open("")        
        user=dataprovider.cmfplone.user.get('sampleadmin')
        wiki = dataprovider.zwikifolder.wiki.get("My Wiki")
        logical.cmfplone.application.change_user(user)        
        logical.cmfplone.navigation.top()
        logical.cmfplone.folder.add(wiki)
        logical.cmfplone.content.edit(wiki)        
        logical.cmfplone.content.save(wiki)
        
if __name__ == "__main__":
    unittest.main()
