# -*- coding: utf-8 -*-
## Copyright (C)2007 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: dp_article.py 5766 2007-01-15 16:52:32Z roeder $

from funittest import DataProvider

class Wiki(DataProvider):
    pass
    
default = {'title':'A Wiki',
           'description':'An Wiki description',
           'type_name':'ZWikiFolder'}
key="title"
wiki = Wiki("ZWikiFolder", default, key)

provide = wiki.provide

provide(title='My Wiki',
        description="Wiki 1 Description",
        allowed_page_types=['rst'],
        use_wikiname_links=True,
        use_bracket_links=True,
        use_double_bracket_links=True,
        show_subtopics=True)
